---
lang: en
title: 'API docs: repository.andclause'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.andclause.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [AndClause](./repository.andclause.md)

## AndClause interface

And clause

<b>Signature:</b>

```typescript
export interface AndClause<MT extends object> 
```

## Example


```ts
{
  and: [...],
}

```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [and](./repository.andclause.and.md) | [Where](./repository.where.md)<!-- -->&lt;MT&gt;\[\] |  |


